Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5116)
@@ -95,7 +95,7 @@
       ierr = nf90_open(fich_cas,nf90_nowrite,nid)
       PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
-      if (ierr/=nf90_noerr) then
-         write(*,*) 'ERROR: GROS Pb opening forcings nc file '
-         write(*,*) nf90_strerror(ierr)
+      if (ierr/=nf90_noerr) THEN
+         WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
+         WRITE(*,*) nf90_strerror(ierr)
          stop ""
       endif
@@ -289,12 +289,12 @@
 
        ierr=nf90_inq_varid(nid,"zz",var3didin(1))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'lev'
          endif
 
       ierr=nf90_inq_varid(nid,"pp",var3didin(2))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'plev'
          endif
@@ -302,30 +302,30 @@
 
       ierr=nf90_inq_varid(nid,"temp",var3didin(3))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'temp'
          endif
 
       ierr=nf90_inq_varid(nid,"qv",var3didin(4))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'qv'
          endif
 
       ierr=nf90_inq_varid(nid,"rh",var3didin(5))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'rh'
          endif
 
       ierr=nf90_inq_varid(nid,"theta",var3didin(6))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'theta'
          endif
 
       ierr=nf90_inq_varid(nid,"rv",var3didin(7))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'rv'
          endif
@@ -333,468 +333,468 @@
 
       ierr=nf90_inq_varid(nid,"u",var3didin(8))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
       ierr=nf90_inq_varid(nid,"v",var3didin(9))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
        ierr=nf90_inq_varid(nid,"ug",var3didin(10))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'ug'
          endif
 
       ierr=nf90_inq_varid(nid,"vg",var3didin(11))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'vg'
          endif
 
       ierr=nf90_inq_varid(nid,"w",var3didin(12))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'w'
          endif
 
       ierr=nf90_inq_varid(nid,"advu",var3didin(13))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'advu'
          endif
 
       ierr=nf90_inq_varid(nid,"hu",var3didin(14))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'hu'
          endif
 
        ierr=nf90_inq_varid(nid,"vu",var3didin(15))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'vu'
          endif
 
        ierr=nf90_inq_varid(nid,"advv",var3didin(16))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'advv'
          endif
 
       ierr=nf90_inq_varid(nid,"hv",var3didin(17))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'hv'
          endif
 
        ierr=nf90_inq_varid(nid,"vv",var3didin(18))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'vv'
          endif
 
       ierr=nf90_inq_varid(nid,"advT",var3didin(19))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'advT'
          endif
 
       ierr=nf90_inq_varid(nid,"hT",var3didin(20))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'hT'
          endif
 
       ierr=nf90_inq_varid(nid,"vT",var3didin(21))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'vT'
          endif
 
       ierr=nf90_inq_varid(nid,"advq",var3didin(22))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'advq'
          endif
 
       ierr=nf90_inq_varid(nid,"hq",var3didin(23))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'hq'
          endif
 
       ierr=nf90_inq_varid(nid,"vq",var3didin(24))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'vq'
          endif
 
       ierr=nf90_inq_varid(nid,"advth",var3didin(25))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'advth'
          endif
 
       ierr=nf90_inq_varid(nid,"hth",var3didin(26))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'hth'
          endif
 
       ierr=nf90_inq_varid(nid,"vth",var3didin(27))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'vth'
          endif
 
       ierr=nf90_inq_varid(nid,"advr",var3didin(28))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'advr'
          endif
 
       ierr=nf90_inq_varid(nid,"hr",var3didin(29))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'hr'
          endif
 
       ierr=nf90_inq_varid(nid,"vr",var3didin(30))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'vr'
          endif
 
       ierr=nf90_inq_varid(nid,"radT",var3didin(31))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'radT'
          endif
 
       ierr=nf90_inq_varid(nid,"sens",var3didin(32))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'sens'
          endif
 
       ierr=nf90_inq_varid(nid,"flat",var3didin(33))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'flat'
          endif
 
       ierr=nf90_inq_varid(nid,"ts",var3didin(34))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'ts'
          endif
 
       ierr=nf90_inq_varid(nid,"ustar",var3didin(35))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'ustar'
          endif
 
       ierr=nf90_inq_varid(nid,"uw",var3didin(36))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'uw'
          endif
 
       ierr=nf90_inq_varid(nid,"vw",var3didin(37))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'vw'
          endif
 
       ierr=nf90_inq_varid(nid,"q1",var3didin(38))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'q1'
          endif
 
       ierr=nf90_inq_varid(nid,"q2",var3didin(39))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'q2'
          endif
 
          ierr = nf90_get_var(nid,var3didin(1),zz)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture z ok',zz
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture z ok',zz
 
          ierr = nf90_get_var(nid,var3didin(2),pp)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture pp ok',pp
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture pp ok',pp
 
 
          ierr = nf90_get_var(nid,var3didin(3),temp)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture T ok',temp
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture T ok',temp
 
          ierr = nf90_get_var(nid,var3didin(4),qv)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture qv ok',qv
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture qv ok',qv
 
          ierr = nf90_get_var(nid,var3didin(5),rh)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture rh ok',rh
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture rh ok',rh
 
          ierr = nf90_get_var(nid,var3didin(6),theta)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture theta ok',theta
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture theta ok',theta
 
          ierr = nf90_get_var(nid,var3didin(7),rv)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture rv ok',rv
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture rv ok',rv
 
          ierr = nf90_get_var(nid,var3didin(8),u)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture u ok',u
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture u ok',u
 
          ierr = nf90_get_var(nid,var3didin(9),v)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture v ok',v
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture v ok',v
 
          ierr = nf90_get_var(nid,var3didin(10),ug)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture ug ok',ug
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture ug ok',ug
 
          ierr = nf90_get_var(nid,var3didin(11),vg)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture vg ok',vg
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture vg ok',vg
 
          ierr = nf90_get_var(nid,var3didin(12),w)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture w ok',w
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture w ok',w
 
          ierr = nf90_get_var(nid,var3didin(13),du)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture du ok',du
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture du ok',du
 
          ierr = nf90_get_var(nid,var3didin(14),hu)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture hu ok',hu
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture hu ok',hu
 
          ierr = nf90_get_var(nid,var3didin(15),vu)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture vu ok',vu
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture vu ok',vu
 
          ierr = nf90_get_var(nid,var3didin(16),dv)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture dv ok',dv
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture dv ok',dv
 
          ierr = nf90_get_var(nid,var3didin(17),hv)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture hv ok',hv
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture hv ok',hv
 
          ierr = nf90_get_var(nid,var3didin(18),vv)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture vv ok',vv
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture vv ok',vv
 
          ierr = nf90_get_var(nid,var3didin(19),dt)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture dt ok',dt
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture dt ok',dt
 
          ierr = nf90_get_var(nid,var3didin(20),ht)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture ht ok',ht
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture ht ok',ht
 
          ierr = nf90_get_var(nid,var3didin(21),vt)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture vt ok',vt
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture vt ok',vt
 
          ierr = nf90_get_var(nid,var3didin(22),dq)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture dq ok',dq
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture dq ok',dq
 
          ierr = nf90_get_var(nid,var3didin(23),hq)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture hq ok',hq
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture hq ok',hq
 
          ierr = nf90_get_var(nid,var3didin(24),vq)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture vq ok',vq
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture vq ok',vq
 
          ierr = nf90_get_var(nid,var3didin(25),dth)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture dth ok',dth
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture dth ok',dth
 
          ierr = nf90_get_var(nid,var3didin(26),hth)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture hth ok',hth
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture hth ok',hth
 
          ierr = nf90_get_var(nid,var3didin(27),vth)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture vth ok',vth
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture vth ok',vth
 
          ierr = nf90_get_var(nid,var3didin(28),dr)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture dr ok',dr
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture dr ok',dr
 
          ierr = nf90_get_var(nid,var3didin(29),hr)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture hr ok',hr
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture hr ok',hr
 
          ierr = nf90_get_var(nid,var3didin(30),vr)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture vr ok',vr
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture vr ok',vr
 
          ierr = nf90_get_var(nid,var3didin(31),dtrad)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture dtrad ok',dtrad
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture dtrad ok',dtrad
 
          ierr = nf90_get_var(nid,var3didin(32),sens)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture sens ok',sens
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture sens ok',sens
 
          ierr = nf90_get_var(nid,var3didin(33),flat)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture flat ok',flat
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture flat ok',flat
 
          ierr = nf90_get_var(nid,var3didin(34),ts)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!          write(*,*)'lecture ts ok',ts
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!          WRITE(*,*)'lecture ts ok',ts
 
          ierr = nf90_get_var(nid,var3didin(35),ustar)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture ustar ok',ustar
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture ustar ok',ustar
 
          ierr = nf90_get_var(nid,var3didin(36),uw)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture uw ok',uw
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture uw ok',uw
 
          ierr = nf90_get_var(nid,var3didin(37),vw)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture vw ok',vw
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture vw ok',vw
 
          ierr = nf90_get_var(nid,var3didin(38),q1)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture q1 ok',q1
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture q1 ok',q1
 
          ierr = nf90_get_var(nid,var3didin(39),q2)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-!         write(*,*)'lecture q2 ok',q2
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+!         WRITE(*,*)'lecture q2 ok',q2
 
 
@@ -877,17 +877,17 @@
 ! sont censes etre corrects.
 ! A supprimer a terme (MPL 20150623)
-!     if ((forcing_type.eq.10).and.(1.eq.0)) then
+!     if ((forcing_type.eq.10).and.(1.eq.0)) THEN
 ! Check that initial day of the simulation consistent with AMMA case:
-!      if (annee_ref.ne.2006) then
+!      if (annee_ref.ne.2006) THEN
 !       PRINT*,'Pour AMMA, annee_ref doit etre 2006'
 !       PRINT*,'Changer annee_ref dans run.def'
 !       stop
 !      endif
-!      if (annee_ref.eq.2006 .and. day1.lt.day_cas) then
+!      if (annee_ref.eq.2006 .and. day1.lt.day_cas) THEN
 !       PRINT*,'AMMA a debute le 10 juillet 2006',day1,day_cas
 !       PRINT*,'Changer dayref dans run.def'
 !       stop
 !      endif
-!      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) then
+!      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) THEN
 !       PRINT*,'AMMA a fini le 11 juillet'
 !       PRINT*,'Changer dayref ou nday dans run.def'
@@ -898,5 +898,5 @@
 ! Determine timestep relative to the 1st day:
 !       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) then
+!       if (annee_ref.eq.1992) THEN
 !        timeit=(day-day_cas)*86400.
 !       else
@@ -929,6 +929,6 @@
       print *,'time_cas2=',time_cas2
 
-       if (it_cas1 > nt_cas) then
-        write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
+       if (it_cas1 > nt_cas) THEN
+        WRITE(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
           ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
         stop
@@ -1005,5 +1005,5 @@
         enddo
 
-        return
+        RETURN
         END
 
